### Method

# Gtk IconView get_path_at_pos

deprecated: 4.10

#### Declaration [src]

    GtkTreePath*
    gtk_icon_view_get_path_at_pos (
      GtkIconView* icon_view,
      int x,
      int y
    )

#### Description [src]

Gets the path for the icon at the given position.

Deprecated since: 4.10

Use `GtkGridView` instead.

#### Parameters

`x`

  Type: `int`

  The x position to be identified.

`y`

  Type: `int`

  The y position to be identified.

#### Return value

Type: `GtkTreePath`

The `GtkTreePath` corresponding to the icon or `NULL` if no icon exists at that position.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.